\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Triangulated Surface Mesh Simplification

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Surface_mesh_simplification::Edge_length_cost< ECM > Class Template Reference
Triangulated Surface Mesh Simplification Reference

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Edge_length_cost.h>`

## Definition

The class `Edge_length_cost` is a model for the `GetCost` concept, which computes the collapse cost as the squared length of the edge.

Template Parameters

  ECM | is the type of surface mesh being simplified, and must be a model of the `EdgeCollapsableSurfaceMesh` concept.

Is Model Of:
  `GetCost`

## Creation
| Edge_length_cost ()
| Default constructor.

## Operations
template<typename Profile , typename T >
optional< typename Profile::FT > | operator() (Profile const &profile, T const &placement) const
| Returns the collapse cost as the squared distance between the points of the source and target vertices (that is, `profile.p0()` and `profile.p1()`. More...

## Member Function Documentation

template<typename ECM >
template<typename Profile , typename T >

optional<typename Profile::FT> CGAL::Surface_mesh_simplification::Edge_length_cost< ECM >::operator() | ( | Profile const & | profile,
|  | T const & | placement
| ) |  | const

Returns the collapse cost as the squared distance between the points of the source and target vertices (that is, `profile.p0()` and `profile.p1()`.

The `placement` argument is ignored.